Changeset 2966 for ThirdParty/FilterSQP


Ignore:
Timestamp:
Oct 15, 2013 9:53:01 AM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/trunk/configure

    r2911 r2966  
    10791079  --enable-debug-filtersqp
    10801080                          compile project FilterSQP with debug compiler flags
    1081   --enable-doscompile     Under Cygwin, compile so that executables run under
    1082                           DOS. Set to mingw to use gcc/g++/ld with
    1083                           -mno-cygwin. Set to msvc to use cl/link (or
    1084                           icl/link). Default when mentioned: mingw. Default
    1085                           when not mentioned: disabled.
     1081
     1082  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10861083  --disable-pkg-config    disable use of pkg-config (if available)
    10871084  --disable-dependency-tracking  speeds up one-time build
     
    18731870
    18741871# Get the name of the Fortran compiler and appropriate compiler options
    1875 case $build in
     1872
     1873
     1874  # for backward compatibility
     1875  # Check whether --enable-doscompile or --disable-doscompile was given.
     1876if test "${enable_doscompile+set}" = set; then
     1877  enableval="$enable_doscompile"
     1878  enable_doscompile=$enableval
     1879else
     1880  enable_doscompile=no
     1881fi;
     1882
     1883  # Check whether --enable-msvc or --disable-msvc was given.
     1884if test "${enable_msvc+set}" = set; then
     1885  enableval="$enable_msvc"
     1886  enable_msvc=$enableval
     1887else
     1888  enable_msvc=no
     1889     if test "$enable_doscompile" = msvc ; then
     1890       enable_msvc=yes
     1891     elif test "$enable_doscompile" != no ; then
     1892       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1893echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1894   { (exit 1); exit 1; }; }
     1895     fi
     1896
     1897fi;
     1898
     1899  if test "$enable_msvc" = yes; then
     1900    case $build in
     1901      *-cygwin* | *-mingw*) ;;
     1902      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1903echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1904   { (exit 1); exit 1; }; } ;;
     1905    esac
     1906  fi
     1907
     1908
     1909 case $build in
    18761910  *-mingw*)
    18771911    if test "${LD+set}" = set; then :; else
     
    18801914    ;;
    18811915 esac
    1882  case $enable_doscompile in
    1883    msvc)
    1884      if test "x${LD+set}" = xset; then :; else
    1885        LD=link
    1886      fi
    1887      ;;
    1888  esac
    1889 
    1890 
    1891  # Check whether --enable-doscompile or --disable-doscompile was given.
    1892 if test "${enable_doscompile+set}" = set; then
    1893   enableval="$enable_doscompile"
    1894   if test "$enable_doscompile" != no; then
    1895      case $build in
    1896        *-cygwin* | *-mingw*) ;;
    1897        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1898 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1916 if test $enable_msvc = yes ; then
     1917   if test "x${LD+set}" = xset; then :; else
     1918     LD=link
     1919   fi
     1920 fi
     1921
     1922
     1923# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1924if test "${enable_static_standardlibs+set}" = set; then
     1925  enableval="$enable_static_standardlibs"
     1926  case "$enableval" in
     1927     no | yes | auto ) ;;
     1928     *)
     1929       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1930echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    18991931   { (exit 1); exit 1; }; } ;;
    1900      esac
    1901    fi
    1902 else
    1903   enable_doscompile=no
     1932   esac
     1933   use_static_standardlibs=$enableval
     1934else
     1935  use_static_standardlibs=no
    19041936fi;
    1905  case "$enable_doscompile" in
    1906    mingw)
    1907      case $build in
    1908        *-mingw*) enable_doscompile=no ;;
    1909      esac
    1910      ;;
    1911    msvc|no) ;;
    1912    yes) enable_doscompile=mingw ;;
    1913    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1914                     Try configure --help=recursive." >&5
    1915 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1916                     Try configure --help=recursive." >&2;}
    1917    { (exit 1); exit 1; }; }
    1918       ;;
    1919   esac
    1920   if test "$enable_doscompile" != no ; then
    1921     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1922 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1923   fi
     1937
    19241938
    19251939
     
    19641978case $build in
    19651979  *-cygwin* | *-mingw*)
    1966              if test "$enable_doscompile" = msvc ; then
    1967                comps="icl cl"
     1980             if test "$enable_msvc" = yes ; then
     1981               comps="icl cl gcc"
    19681982             else
    1969                comps="gcc cl"
     1983               comps="gcc icl cl"
    19701984             fi ;;
    19711985  *-*-solaris*)
     
    28202834            ;;
    28212835        esac
    2822         case $enable_doscompile in
    2823           mingw)
    2824             CFLAGS="-mno-cygwin"
    2825             cat >conftest.$ac_ext <<_ACEOF
    2826 /* confdefs.h.  */
    2827 _ACEOF
    2828 cat confdefs.h >>conftest.$ac_ext
    2829 cat >>conftest.$ac_ext <<_ACEOF
    2830 /* end confdefs.h.  */
    2831 
    2832 int
    2833 main ()
    2834 {
    2835 int i=0; i++;
    2836   ;
    2837   return 0;
    2838 }
    2839 _ACEOF
    2840 rm -f conftest.$ac_objext conftest$ac_exeext
    2841 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2842   (eval $ac_link) 2>conftest.er1
    2843   ac_status=$?
    2844   grep -v '^ *+' conftest.er1 >conftest.err
    2845   rm -f conftest.er1
    2846   cat conftest.err >&5
    2847   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2848   (exit $ac_status); } &&
    2849          { ac_try='test -z "$ac_c_werror_flag"
    2850                          || test ! -s conftest.err'
    2851   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2852   (eval $ac_try) 2>&5
    2853   ac_status=$?
    2854   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2855   (exit $ac_status); }; } &&
    2856          { ac_try='test -s conftest$ac_exeext'
    2857   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2858   (eval $ac_try) 2>&5
    2859   ac_status=$?
    2860   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2861   (exit $ac_status); }; }; then
    2862   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2863 else
    2864   echo "$as_me: failed program was:" >&5
    2865 sed 's/^/| /' conftest.$ac_ext >&5
    2866 
    2867 fi
    2868 rm -f conftest.err conftest.$ac_objext \
    2869       conftest$ac_exeext conftest.$ac_ext
    2870             CFLAGS=
    2871           ;;
    2872         esac
    28732836    esac
    28742837  fi
     
    30613024    CFLAGS="$OPT_CFLAGS"
    30623025  fi
     3026
    30633027else
    30643028  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32113175  clang* ) ;;
    32123176  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3213     case $build in
     3177
     3178 case $build in
    32143179  *-mingw*)
    32153180    if test "${LD+set}" = set; then :; else
     
    32183183    ;;
    32193184 esac
    3220  case $enable_doscompile in
    3221    msvc)
    3222      if test "x${LD+set}" = xset; then :; else
    3223        LD=link
    3224      fi
    3225      ;;
    3226  esac
     3185 if test $enable_msvc = yes ; then
     3186   if test "x${LD+set}" = xset; then :; else
     3187     LD=link
     3188   fi
     3189 fi
    32273190
    32283191    ;;
    32293192esac
     3193
     3194# check whether to add flags for static linking against standard libraries to LDFLAGS
     3195if test x$use_static_standardlibs != xno ; then
     3196  case $build in
     3197    *-mingw*)
     3198      static_standardlib_flag=-static
     3199      ;;
     3200    *)
     3201      static_standardlib_flag=-static-libgcc
     3202      ;;
     3203  esac
     3204  case " $LDFLAGS " in
     3205    *" $static_standardlib_flag "* ) ;;
     3206    *)
     3207    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3208echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3209    coin_save_LDFLAGS="$LDFLAGS"
     3210    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3211    cat >conftest.$ac_ext <<_ACEOF
     3212/* confdefs.h.  */
     3213_ACEOF
     3214cat confdefs.h >>conftest.$ac_ext
     3215cat >>conftest.$ac_ext <<_ACEOF
     3216/* end confdefs.h.  */
     3217
     3218int
     3219main ()
     3220{
     3221int i=0;
     3222  ;
     3223  return 0;
     3224}
     3225_ACEOF
     3226rm -f conftest.$ac_objext conftest$ac_exeext
     3227if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3228  (eval $ac_link) 2>conftest.er1
     3229  ac_status=$?
     3230  grep -v '^ *+' conftest.er1 >conftest.err
     3231  rm -f conftest.er1
     3232  cat conftest.err >&5
     3233  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3234  (exit $ac_status); } &&
     3235         { ac_try='test -z "$ac_c_werror_flag"
     3236                         || test ! -s conftest.err'
     3237  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3238  (eval $ac_try) 2>&5
     3239  ac_status=$?
     3240  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3241  (exit $ac_status); }; } &&
     3242         { ac_try='test -s conftest$ac_exeext'
     3243  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3244  (eval $ac_try) 2>&5
     3245  ac_status=$?
     3246  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3247  (exit $ac_status); }; }; then
     3248  echo "$as_me:$LINENO: result: yes" >&5
     3249echo "${ECHO_T}yes" >&6
     3250else
     3251  echo "$as_me: failed program was:" >&5
     3252sed 's/^/| /' conftest.$ac_ext >&5
     3253
     3254echo "$as_me:$LINENO: result: no" >&5
     3255echo "${ECHO_T}no" >&6
     3256       LDFLAGS="$coin_save_LDFLAGS"
     3257       if test $use_static_standardlibs = yes ; then
     3258         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3259echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3260   { (exit 1); exit 1; }; }
     3261       fi
     3262
     3263fi
     3264rm -f conftest.err conftest.$ac_objext \
     3265      conftest$ac_exeext conftest.$ac_ext
     3266    ;;
     3267  esac
     3268fi
    32303269
    32313270ac_ext=c
     
    32383277case $build in
    32393278  *-cygwin* | *-mingw*)
    3240      if test "$enable_doscompile" = msvc ; then
    3241        coin_f77_comps="ifort fl32 compile_f2c"
     3279     if test "$enable_msvc" = yes ; then
     3280       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32423281     else
    32433282       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    32493288  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32503289 esac
     3290
    32513291
    32523292
     
    34643504
    34653505# Provide some information about the compiler.
    3466 echo "$as_me:3466:" \
     3506echo "$as_me:3506:" \
    34673507     "checking for Fortran 77 compiler version" >&5
    34683508ac_compiler=`set X $ac_compile; echo $2`
     
    36333673    coin_add_fflags="-pipe"
    36343674    coin_dbg_fflags="-g -O0"
    3635     case $enable_doscompile in
    3636       mingw)
    3637         FFLAGS="-mno-cygwin"
    3638         cat >conftest.$ac_ext <<_ACEOF
    3639       program main
    3640       write(*,*) 'Hello world'
    3641       end
    3642 _ACEOF
    3643 rm -f conftest.$ac_objext conftest$ac_exeext
    3644 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3645   (eval $ac_link) 2>conftest.er1
    3646   ac_status=$?
    3647   grep -v '^ *+' conftest.er1 >conftest.err
    3648   rm -f conftest.er1
    3649   cat conftest.err >&5
    3650   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3651   (exit $ac_status); } &&
    3652          { ac_try='test -z "$ac_f77_werror_flag"
    3653                          || test ! -s conftest.err'
    3654   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3655   (eval $ac_try) 2>&5
    3656   ac_status=$?
    3657   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3658   (exit $ac_status); }; } &&
    3659          { ac_try='test -s conftest$ac_exeext'
    3660   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3661   (eval $ac_try) 2>&5
    3662   ac_status=$?
    3663   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3664   (exit $ac_status); }; }; then
    3665   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3666 else
    3667   echo "$as_me: failed program was:" >&5
    3668 sed 's/^/| /' conftest.$ac_ext >&5
    3669 
    3670 fi
    3671 rm -f conftest.err conftest.$ac_objext \
    3672       conftest$ac_exeext conftest.$ac_ext
    3673         FFLAGS=
    3674       ;;
    3675     esac
    36763675  else
    36773676    case $build in
     
    38413840    FFLAGS="$OPT_FFLAGS"
    38423841  fi
     3842
    38433843else
    38443844  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39653965case "$F77" in
    39663966  ifort* | */ifort* | IFORT* | */IFORT*)
    3967     case $build in
     3967
     3968 case $build in
    39683969  *-mingw*)
    39693970    if test "${LD+set}" = set; then :; else
     
    39723973    ;;
    39733974 esac
    3974  case $enable_doscompile in
    3975    msvc)
    3976      if test "x${LD+set}" = xset; then :; else
    3977        LD=link
    3978      fi
    3979      ;;
    3980  esac
     3975 if test $enable_msvc = yes ; then
     3976   if test "x${LD+set}" = xset; then :; else
     3977     LD=link
     3978   fi
     3979 fi
    39813980
    39823981    ;;
    39833982esac
     3983
     3984# check whether to add flag for static linking against standard libraries to LDFLAGS
     3985if test x$use_static_standardlibs != xno ; then
     3986  case $build in
     3987    *-mingw*)
     3988      static_standardlib_flag=-static
     3989      ;;
     3990    *)
     3991      static_standardlib_flag=-static-libgfortran
     3992      ;;
     3993  esac
     3994  case " $LDFLAGS " in
     3995    *" $static_standardlib_flag "* ) ;;
     3996    *)
     3997    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3998echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3999    coin_save_LDFLAGS="$LDFLAGS"
     4000    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4001    cat >conftest.$ac_ext <<_ACEOF
     4002      program main
     4003      integer i
     4004      end
     4005_ACEOF
     4006rm -f conftest.$ac_objext conftest$ac_exeext
     4007if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4008  (eval $ac_link) 2>conftest.er1
     4009  ac_status=$?
     4010  grep -v '^ *+' conftest.er1 >conftest.err
     4011  rm -f conftest.er1
     4012  cat conftest.err >&5
     4013  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4014  (exit $ac_status); } &&
     4015         { ac_try='test -z "$ac_f77_werror_flag"
     4016                         || test ! -s conftest.err'
     4017  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4018  (eval $ac_try) 2>&5
     4019  ac_status=$?
     4020  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4021  (exit $ac_status); }; } &&
     4022         { ac_try='test -s conftest$ac_exeext'
     4023  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4024  (eval $ac_try) 2>&5
     4025  ac_status=$?
     4026  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4027  (exit $ac_status); }; }; then
     4028  echo "$as_me:$LINENO: result: yes" >&5
     4029echo "${ECHO_T}yes" >&6
     4030else
     4031  echo "$as_me: failed program was:" >&5
     4032sed 's/^/| /' conftest.$ac_ext >&5
     4033
     4034echo "$as_me:$LINENO: result: no" >&5
     4035echo "${ECHO_T}no" >&6
     4036       LDFLAGS="$coin_save_LDFLAGS"
     4037       if test $use_static_standardlibs = yes ; then
     4038         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4039echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4040   { (exit 1); exit 1; }; }
     4041       fi
     4042
     4043fi
     4044rm -f conftest.err conftest.$ac_objext \
     4045      conftest$ac_exeext conftest.$ac_ext
     4046    ;;
     4047  esac
     4048fi
    39844049
    39854050ac_ext=c
     
    40454110ac_save_FFLAGS=$FFLAGS
    40464111FFLAGS="$FFLAGS $ac_verb"
    4047 (eval echo $as_me:4047: \"$ac_link\") >&5
     4112(eval echo $as_me:4112: \"$ac_link\") >&5
    40484113ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40494114echo "$ac_f77_v_output" >&5
     
    41234188ac_save_FFLAGS=$FFLAGS
    41244189FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4125 (eval echo $as_me:4125: \"$ac_link\") >&5
     4190(eval echo $as_me:4190: \"$ac_link\") >&5
    41264191ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41274192echo "$ac_f77_v_output" >&5
     
    73947459*-*-irix6*)
    73957460  # Find out which ABI we are using.
    7396   echo '#line 7396 "configure"' > conftest.$ac_ext
     7461  echo '#line 7461 "configure"' > conftest.$ac_ext
    73977462  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73987463  (eval $ac_compile) 2>&5
     
    998010045   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    998110046   -e 's:$: $lt_compiler_flag:'`
    9982    (eval echo "\"\$as_me:9982: $lt_compile\"" >&5)
     10047   (eval echo "\"\$as_me:10047: $lt_compile\"" >&5)
    998310048   (eval "$lt_compile" 2>conftest.err)
    998410049   ac_status=$?
    998510050   cat conftest.err >&5
    9986    echo "$as_me:9986: \$? = $ac_status" >&5
     10051   echo "$as_me:10051: \$? = $ac_status" >&5
    998710052   if (exit $ac_status) && test -s "$ac_outfile"; then
    998810053     # The compiler can only warn and ignore the option if not recognized
     
    1024810313   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1024910314   -e 's:$: $lt_compiler_flag:'`
    10250    (eval echo "\"\$as_me:10250: $lt_compile\"" >&5)
     10315   (eval echo "\"\$as_me:10315: $lt_compile\"" >&5)
    1025110316   (eval "$lt_compile" 2>conftest.err)
    1025210317   ac_status=$?
    1025310318   cat conftest.err >&5
    10254    echo "$as_me:10254: \$? = $ac_status" >&5
     10319   echo "$as_me:10319: \$? = $ac_status" >&5
    1025510320   if (exit $ac_status) && test -s "$ac_outfile"; then
    1025610321     # The compiler can only warn and ignore the option if not recognized
     
    1035210417   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1035310418   -e 's:$: $lt_compiler_flag:'`
    10354    (eval echo "\"\$as_me:10354: $lt_compile\"" >&5)
     10419   (eval echo "\"\$as_me:10419: $lt_compile\"" >&5)
    1035510420   (eval "$lt_compile" 2>out/conftest.err)
    1035610421   ac_status=$?
    1035710422   cat out/conftest.err >&5
    10358    echo "$as_me:10358: \$? = $ac_status" >&5
     10423   echo "$as_me:10423: \$? = $ac_status" >&5
    1035910424   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1036010425   then
     
    1276912834  lt_status=$lt_dlunknown
    1277012835  cat > conftest.$ac_ext <<EOF
    12771 #line 12771 "configure"
     12836#line 12836 "configure"
    1277212837#include "confdefs.h"
    1277312838
     
    1286912934  lt_status=$lt_dlunknown
    1287012935  cat > conftest.$ac_ext <<EOF
    12871 #line 12871 "configure"
     12936#line 12936 "configure"
    1287212937#include "confdefs.h"
    1287312938
     
    1522915294   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1523015295   -e 's:$: $lt_compiler_flag:'`
    15231    (eval echo "\"\$as_me:15231: $lt_compile\"" >&5)
     15296   (eval echo "\"\$as_me:15296: $lt_compile\"" >&5)
    1523215297   (eval "$lt_compile" 2>conftest.err)
    1523315298   ac_status=$?
    1523415299   cat conftest.err >&5
    15235    echo "$as_me:15235: \$? = $ac_status" >&5
     15300   echo "$as_me:15300: \$? = $ac_status" >&5
    1523615301   if (exit $ac_status) && test -s "$ac_outfile"; then
    1523715302     # The compiler can only warn and ignore the option if not recognized
     
    1533315398   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1533415399   -e 's:$: $lt_compiler_flag:'`
    15335    (eval echo "\"\$as_me:15335: $lt_compile\"" >&5)
     15400   (eval echo "\"\$as_me:15400: $lt_compile\"" >&5)
    1533615401   (eval "$lt_compile" 2>out/conftest.err)
    1533715402   ac_status=$?
    1533815403   cat out/conftest.err >&5
    15339    echo "$as_me:15339: \$? = $ac_status" >&5
     15404   echo "$as_me:15404: \$? = $ac_status" >&5
    1534015405   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1534115406   then
     
    1690316968   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1690416969   -e 's:$: $lt_compiler_flag:'`
    16905    (eval echo "\"\$as_me:16905: $lt_compile\"" >&5)
     16970   (eval echo "\"\$as_me:16970: $lt_compile\"" >&5)
    1690616971   (eval "$lt_compile" 2>conftest.err)
    1690716972   ac_status=$?
    1690816973   cat conftest.err >&5
    16909    echo "$as_me:16909: \$? = $ac_status" >&5
     16974   echo "$as_me:16974: \$? = $ac_status" >&5
    1691016975   if (exit $ac_status) && test -s "$ac_outfile"; then
    1691116976     # The compiler can only warn and ignore the option if not recognized
     
    1700717072   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1700817073   -e 's:$: $lt_compiler_flag:'`
    17009    (eval echo "\"\$as_me:17009: $lt_compile\"" >&5)
     17074   (eval echo "\"\$as_me:17074: $lt_compile\"" >&5)
    1701017075   (eval "$lt_compile" 2>out/conftest.err)
    1701117076   ac_status=$?
    1701217077   cat out/conftest.err >&5
    17013    echo "$as_me:17013: \$? = $ac_status" >&5
     17078   echo "$as_me:17078: \$? = $ac_status" >&5
    1701417079   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1701517080   then
     
    1921419279   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1921519280   -e 's:$: $lt_compiler_flag:'`
    19216    (eval echo "\"\$as_me:19216: $lt_compile\"" >&5)
     19281   (eval echo "\"\$as_me:19281: $lt_compile\"" >&5)
    1921719282   (eval "$lt_compile" 2>conftest.err)
    1921819283   ac_status=$?
    1921919284   cat conftest.err >&5
    19220    echo "$as_me:19220: \$? = $ac_status" >&5
     19285   echo "$as_me:19285: \$? = $ac_status" >&5
    1922119286   if (exit $ac_status) && test -s "$ac_outfile"; then
    1922219287     # The compiler can only warn and ignore the option if not recognized
     
    1948219547   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1948319548   -e 's:$: $lt_compiler_flag:'`
    19484    (eval echo "\"\$as_me:19484: $lt_compile\"" >&5)
     19549   (eval echo "\"\$as_me:19549: $lt_compile\"" >&5)
    1948519550   (eval "$lt_compile" 2>conftest.err)
    1948619551   ac_status=$?
    1948719552   cat conftest.err >&5
    19488    echo "$as_me:19488: \$? = $ac_status" >&5
     19553   echo "$as_me:19553: \$? = $ac_status" >&5
    1948919554   if (exit $ac_status) && test -s "$ac_outfile"; then
    1949019555     # The compiler can only warn and ignore the option if not recognized
     
    1958619651   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1958719652   -e 's:$: $lt_compiler_flag:'`
    19588    (eval echo "\"\$as_me:19588: $lt_compile\"" >&5)
     19653   (eval echo "\"\$as_me:19653: $lt_compile\"" >&5)
    1958919654   (eval "$lt_compile" 2>out/conftest.err)
    1959019655   ac_status=$?
    1959119656   cat out/conftest.err >&5
    19592    echo "$as_me:19592: \$? = $ac_status" >&5
     19657   echo "$as_me:19657: \$? = $ac_status" >&5
    1959319658   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1959419659   then
     
    2252022585echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2252122586coin_link_input_cmd="$LN_S"
    22522 if test "$enable_doscompile" = mingw; then
    22523   coin_link_input_cmd=cp
    22524 fi
    2252522587case "$CC" in
    2252622588  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.